# Verify CVC2 source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/card-lifecycle-management/verify-cvc2/index.md ## Test Case -- Success - Correct CVC2 {#test-case--success---correct-cvc2} This test case describes verifying CVC2 for a specified card contract in the CMS. **Sample request** `POST /cards/70001/card-verification-codes/verifications` ```JSON { "cardExpiryDate": "3004", "cardVerificationCode": "347" } ``` **Sample response** `200` ```JSON { "verificationResult": "CVC2_CORRECT" } ``` ## Test Case -- Success -- Incorrect CVC2 {#test-case--success--incorrect-cvc2} This test case describes verifying a CVC2 which has no match in the CMS for a specified card contract. For this test case, use the following information in the request: | Field | Available value | |------------------------|-----------------| | `cardVerificationCode` | 431 | **Sample request** `POST /cards/70001/card-verification-codes/verifications` ```JSON { "cardExpiryDate": "3004", "cardVerificationCode": "431" } ``` **Sample response** `200` ```JSON { "verificationResult": "CVC2_NOT_CORRECT" } ``` ## Test case -- Fail -- Invalid Card expiry date {#test-case--fail--invalid-card-expiry-date} This test case describes an attempt to verify a CVC2 by sending an incorrect card expiry date. For this test case, use the following information in the request: | Field | Available value | |------------------|-----------------| | `cardExpiryDate` | 2101 | **Sample request** `POST /cards/70001/card-verification-codes/verifications` ```JSON { "cardExpiryDate": "2101", "cardVerificationCode": "347" } ``` **Sample response** `404` ```JSON { "Errors": { "Error": [ { "Source": "MASTERCARD PROCESSING", "ReasonCode": "INVALID_EXPIRY_DATE", "Description": "Expiry date 2101 does not match for the card contract with id 70001.", "Recoverable": false } ] } } ```